Accounts
You can list your available accounts with the following URL:
GET https://api.smallinvoice.com/account/list/
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| page | int | Current page that was passed in on the request |
| pages | int | Total number of pages available |
| count | int | Total number of objects available |
| items | collection | Collection of Account Objects |
Example content of data variable:
{
"error":false,
"page":1,
"pages":1,
"count":1,
"items":[
{
"id":1,
"title":"John & Jane Doe Account",
"institute":"ACME AG",
"number":"0123456789",
"iban":"0123456789",
"swiftbic":"0123456789",
"clearing":"0123456789",
"postaccount":"0123456789"
}
]
}
You can get your account with the following URL:
GET https://api.smallinvoice.com/account/get/
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| item | object | Object of Account |
Example content of data variable:
{
"error":false,
"item":{
"id":1,
"title":"John & Jane Doe Account",
"institute":"ACME AG",
"number":"0123456789",
"iban":"0123456789",
"swiftbic":"0123456789",
"clearing":"0123456789",
"postaccount":"0123456789"
}
}
You can add a new account with the following URL:
POST https://api.smallinvoice.com/account/add
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| title | string | yes | ||
| institute | string | yes | ||
| swiftbic | string | yes | ||
| clearing | string | yes |
Example: Creating a new account
POST https://api.smallinvoice.com/account/add/
Example content of data variable:
{
"title":"John & Jane Doe Account",
"institute":"ACME AG",
"number":"0123456789",
"iban":"0123456789",
"swiftbic":"0123456789",
"clearing":"0123456789",
"postaccount":"0123456789"
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| id | int | The Id of the Account Object that was created |
Example response:
{
"error":false,
"id": 43
}
You can edit an account with the following URL:
POST https://api.smallinvoice.com/account/edit
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the account |
Body parameters
| Name | Type | Notes |
|---|---|---|
| title | string | |
| institute | string | |
| swiftbic | string | |
| clearing | string |
Example: Editing an account with id 5
POST https://api.smallinvoice.com/account/edit/id/5
Example content of data variable:
{
"title":"John & Jane Doe Account",
"institute":"ACME AG",
"number":"0123456789",
"iban":"0123456789",
"swiftbic":"0123456789",
"clearing":"0123456789",
"postaccount":"0123456789"
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can delete an account with the following URL:
POST https://api.smallinvoice.com/account/delete/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the account |
Example: Making a request for deleting account with id 5
POST https://api.smallinvoice.com/account/delete/id/5
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
